package com.qmth.distributed.print.business.bean.dto;

import com.qmth.teachcloud.mark.bean.archivescore.ScoreRangeVo;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 期末成绩dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/29
 */
public class FinalScoreDto implements Serializable {

    @ApiModelProperty(value = "考生人数")
    private int studentCount;

    @ApiModelProperty(value = "期末考试最大成绩")
    private Double finalScoreMaxScore;

    @ApiModelProperty(value = "期末考试最小成绩")
    private Double finalScoreMinScore;

    @ApiModelProperty(value = "期末考试平均成绩")
    private Double finalScoreAvgScore;

    @ApiModelProperty(value = "分数范围")
    private List<ScoreRangeVo> scoreRange;

    public List<ScoreRangeVo> getScoreRange() {
        return scoreRange;
    }

    public void setScoreRange(List<ScoreRangeVo> scoreRange) {
        this.scoreRange = scoreRange;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public Double getFinalScoreMaxScore() {
        return finalScoreMaxScore;
    }

    public void setFinalScoreMaxScore(Double finalScoreMaxScore) {
        this.finalScoreMaxScore = finalScoreMaxScore;
    }

    public Double getFinalScoreMinScore() {
        return finalScoreMinScore;
    }

    public void setFinalScoreMinScore(Double finalScoreMinScore) {
        this.finalScoreMinScore = finalScoreMinScore;
    }

    public Double getFinalScoreAvgScore() {
        return finalScoreAvgScore;
    }

    public void setFinalScoreAvgScore(Double finalScoreAvgScore) {
        this.finalScoreAvgScore = finalScoreAvgScore;
    }
}
